All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.olaptableview
Class BasicOLAPColumnHeaderUI

    com.sas.swing.visuals.olaptableview.BasicOLAPColumnHeaderUI

    public class BasicOLAPColumnHeaderUI

Field Summary
`protected OLAPColumnHeader` | `header`
`protected boolean` | `resizingColumn`
`protected boolean` | `resizingLevel` The JTableHeader that is delegating the painting to this UI.
`protected int` | `resizingLevelIndex`
`protected boolean` | `resizingRowHeader`

Fields inherited from class com.sas.swing.visuals.tableview.BasicColumnHeaderUI
`resizingHeader`

Constructor Summary
`BasicOLAPColumnHeaderUI()`

Method Summary
`protected java.awt.Dimension` | `createHeaderSize(long width)`
`protected javax.swing.event.MouseInputListener` | `createMouseInputListener()` Creates the mouse listener for the JTable.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent h)`
`protected int` | `getHeaderHeight()`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)` Return the preferred size of the header.
`int` | `getResizingLevelIndex()`
`void` | `installUI(javax.swing.JComponent c)`
`boolean` | `isResizingColumn()`
`boolean` | `isResizingRowHeader()`
`protected int` | `modelIndexForColumn(int column)`
`void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`
`void` | `setResizingColumn(boolean newValue)`
`void` | `setResizingLevelIndex(int newValue)`
`void` | `setResizingRowHeader(boolean newValue)`
`protected int` | `viewIndexForColumn(int column)`

Methods inherited from class com.sas.swing.visuals.tableview.BasicColumnHeaderUI
`getHeader, getHeaderRenderer, getMaximumSize, getMinimumSize, isResizingHeader, paintCell, paintCells, setResizingHeader`

Field Detail

### header

    protected OLAPColumnHeader header

### resizingLevel

    protected boolean resizingLevel

  The JTableHeader that is delegating the painting to this UI.

### resizingLevelIndex

    protected int resizingLevelIndex

### resizingColumn

    protected boolean resizingColumn

### resizingRowHeader

    protected boolean resizingRowHeader

Constructor Detail

### BasicOLAPColumnHeaderUI

    public BasicOLAPColumnHeaderUI()

Method Detail

### viewIndexForColumn

    protected int viewIndexForColumn(int column)

  Overrides:
    `viewIndexForColumn` in class `BasicColumnHeaderUI`

### modelIndexForColumn

    protected int modelIndexForColumn(int column)

  Overrides:
    `modelIndexForColumn` in class `BasicColumnHeaderUI`

### setResizingLevelIndex

    public void setResizingLevelIndex(int newValue)

### getResizingLevelIndex

    public int getResizingLevelIndex()

### setResizingColumn

    public void setResizingColumn(boolean newValue)

  Overrides:
    `setResizingColumn` in class `BasicColumnHeaderUI`

### isResizingColumn

    public boolean isResizingColumn()

  Overrides:
    `isResizingColumn` in class `BasicColumnHeaderUI`

### setResizingRowHeader

    public void setResizingRowHeader(boolean newValue)

### isResizingRowHeader

    public boolean isResizingRowHeader()

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent h)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.basic.BasicTableHeaderUI`

### createMouseInputListener

    protected javax.swing.event.MouseInputListener createMouseInputListener()

  Creates the mouse listener for the JTable.

  Overrides:
    `createMouseInputListener` in class `BasicColumnHeaderUI`

### paint

    public void paint(java.awt.Graphics g,
                      javax.swing.JComponent c)

  Overrides:
    `paint` in class `BasicColumnHeaderUI`

### getHeaderHeight

    protected int getHeaderHeight()

  Overrides:
    `getHeaderHeight` in class `BasicColumnHeaderUI`

### createHeaderSize

    protected java.awt.Dimension createHeaderSize(long width)

  Overrides:
    `createHeaderSize` in class `BasicColumnHeaderUI`

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Description copied from class: `BasicColumnHeaderUI`
  Return the preferred size of the header. The preferred height is the maximum of the preferred heights of all of the components provided by the header renderers. The preferred width is the sum of the preferred widths of each column (plus inter-cell spacing).

  Overrides:
    `getPreferredSize` in class `BasicColumnHeaderUI`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.